Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQCDEStyle Class Reference

The TQCDEStyle class provides a CDE look and feel. More...

`#include <ntqcdestyle.h>`

Inherits TQMotifStyle.

List of all member functions.

## Public Members

- TQCDEStyle ( bool useHighlightCols = FALSE )
- virtual ~TQCDEStyle ()

## Detailed Description

The TQCDEStyle class provides a CDE look and feel.

This style provides a slightly improved Motif look similar to some versions of the Common Desktop Environment (CDE). The main differences are thinner frames and more modern radio buttons and checkboxes. Together with a dark background and a bright text/foreground color, the style looks quite attractive (at least for Motif fans).

Note that the functions provided by TQCDEStyle are reimplementations of TQStyle functions; see TQStyle for their documentation.

See also Widget Appearance and Style.

## Member Function Documentation

### TQCDEStyle::TQCDEStyle ( bool useHighlightCols = FALSE )

Constructs a TQCDEStyle.

If useHighlightCols is FALSE (the default), then the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

### TQCDEStyle::~TQCDEStyle ()`[virtual]`

Destroys the style.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.